From a1ef2da8edf2f23b1e240a8bd2843664ef8928c0 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Fri, 31 May 2019 02:08:17 +0200
Subject: [PATCH] grub: patch out creation of OS X menu entries on non-x86

---
 srcpkgs/grub/patches/os-prober-osx86.patch | 16 ++++++++++++++++
 srcpkgs/grub/template                      |  2 +-
 2 files changed, 17 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/grub/patches/os-prober-osx86.patch

diff --git a/srcpkgs/grub/patches/os-prober-osx86.patch b/srcpkgs/grub/patches/os-prober-osx86.patch
new file mode 100644
index 00000000000..70028c80d48
--- /dev/null
+++ b/srcpkgs/grub/patches/os-prober-osx86.patch
@@ -0,0 +1,16 @@
+Patches OS X detection out of os-prober hook on non-x86 architectures. The
+menu entries generated for those are invalid for non-x86 Mac stuff.
+--- util/grub.d/30_os-prober.in
++++ util/grub.d/30_os-prober.in
+@@ -42,6 +42,11 @@ if [ -z "${OSPROBED}" ] ; then
+ fi
+ 
+ osx_entry() {
++    # GRUB load OS X outside of x86, no entry
++    case "x`uname -m`" in
++        xi?86|xx86_64) ;;
++        *) return ;;
++    esac
+     if [ x$2 = x32 ]; then
+         # TRANSLATORS: it refers to kernel architecture (32-bit)
+ 	bitstr="$(gettext "(32-bit)")"
diff --git a/srcpkgs/grub/template b/srcpkgs/grub/template
index 97ce99b71ff..c14322f4ed4 100644
--- a/srcpkgs/grub/template
+++ b/srcpkgs/grub/template
@@ -1,7 +1,7 @@
 # Template file for 'grub'
 pkgname=grub
 version=2.02
-revision=5
+revision=6
 hostmakedepends="flex freetype-devel font-unifont-bdf"
 makedepends="libusb-compat-devel ncurses-devel freetype-devel
  liblzma-devel device-mapper-devel fuse-devel"
